class ReportComponentResultsController < ApplicationController
  model_data_store(ReportComponentResult)
  # protect_with(nil, nil, [{id: 'run', name: 'Run', controller_methods: :run}])
  # todo reenable permission
  before_action :set_target, only: [:show, :update, :destroy, :download, :rerun]

  def run
    result = ReportComponentResult.create(run_params)
    ExportJob.perform_later(result.id, RxModule::Authorization.current_user_token)
    render json: result, status: :accepted
  end

  def rerun
    ExportJob.perform_later(@model.id, RxModule::Authorization.current_user_token)
    render json: @model, status: :accepted
  end

  def download
    response.headers["Content-Type"] = @model.content_type
    response.headers["Content-Disposition"] = "attachment; filename=\"#{@model.filename}\""

    @model.data_file.download do |chunk|
      response.stream.write(chunk)
    end
  end

  private

  def run_params
    resolved_params = params.require('report_component_result').permit(:name, :parameters, :desc, :data_format, :report_target_id)
    resolved_params['generating'] = true
    resolved_params['parameters'] = params['report_component_result']['parameters'].permit!.to_hash.to_json # we defer parameter validation to the module generating the report
    resolved_params
  end
end