// react-awesome-query-builder styles
import "antd/dist/antd.css";
import 'react-awesome-query-builder/css/styles.scss';
// react-table styles
import 'react-table/react-table.css';
// date-picker styles
import 'react-datetime/css/react-datetime.css';
// react-awesome-query-builder styles
import './styles/filter.css';
// etc.
import * as React from 'react';
import {i18n, Layout, Providers} from '@rx-suite/ui';
import './stores';
import {RxAppModel, RxAppStore} from '@rx-suite/stores';
import {routes} from "./routes";
import {observer} from "mobx-react-lite";
import {subscribe} from "@rx-suite/data";
import {ReportTargetStore} from "./stores/ReportTargetStore";
import {t} from "@lingui/macro";

// Wire up data
subscribe();
ReportTargetStore.getAll();

export default observer(() => {
    const model = RxAppStore.selectedModel as RxAppModel;
    React.useEffect(() => {
        if (model) {
            model.setTitleBase(i18n._(t`Rx-Reports`))
        }
    }, [model]);
    return (
        <Providers theme={model.theme} language={'en'}>
            <Layout routes={routes}/>
        </Providers>
    )
});


