import * as React from 'react';
import {observer} from "mobx-react-lite";
import {Grid} from "@material-ui/core";
import {AutomaticReportRunParam} from "./AutomaticReportRunParam";
import {AutomaticReportModel} from "../../stores/AutomaticReportStore";

type ReportComponentRunParamsProps = {
    report: AutomaticReportModel
};

export const AutomaticReportRunParams: React.FunctionComponent<ReportComponentRunParamsProps> = observer(({
                                                                                                              report
                                                                                                          }) => {
    const validOptions = Object.keys(report.supportedRunFilters);
    return <Grid container>
        {validOptions.map(opt => (
            <Grid key={opt} item xs={12}
                  md={Math.min(12, Math.max(Math.ceil(12 / validOptions.length), 3)) as 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12}>
                <AutomaticReportRunParam report={report} column={opt}/>
            </Grid>
        ))}
    </Grid>;
});