import * as React from 'react';
import {CircularProgress, IconButton} from "@material-ui/core";
import {observer} from "mobx-react-lite";
import {ReportComponentResultModel} from "../../stores/ReportComponentResultStore";
import {GetApp, Replay} from "@material-ui/icons";

export const ReportComponentResultDownloadButton: React.FunctionComponent<{ result: ReportComponentResultModel }> = observer(({result}) => {
    if (result.download_link) {
        return <IconButton onClick={result.download}>
            <GetApp/>
        </IconButton>
    } else if (result.generating) {
        return <CircularProgress size={24}/>
    } else if (result.generation_error) {
        return <IconButton onClick={result.run}>
            <Replay/>
        </IconButton>
    } else {
        return null;
    }
});

