import * as React from 'react';
import {i18n} from "@rx-suite/ui/build";
import {t} from "@lingui/macro";
import {LinearProgress} from "@material-ui/core";
import {observer} from "mobx-react-lite";
import {ReportComponentResultModel} from "../../stores/ReportComponentResultStore";

export const ReportComponentResultStatus: React.FunctionComponent<{ result: ReportComponentResultModel }> = observer(({result}) => {
    if (result.generating) {
        if (result.generation_percent !== null && result.generation_percent !== undefined) {
            return <LinearProgress variant="determinate" value={result.generation_percent}/>
        } else {
            return <LinearProgress/>
        }
    } else {
        if (result.generation_error) {
            return <span>{i18n._(t`Error`)}: {result.generation_error}</span>
        } else {
            return <span>{i18n._(t`Done`)}</span>
        }
    }
});

