import * as React from 'react';
import {observer} from "mobx-react-lite";
import {AutomodelParameter} from "./automodel/AutomodelParameter";
import {ParameterFieldProps} from "./ParameterFieldProps";
import {GenericParameter} from "./GenericParameter";
import {ReportTargetModel} from "../../../stores/ReportTargetStore";
import {ReportComponentModel} from "../../../stores/ReportComponentStore";
import {useModelContext} from "@rx-suite/ui/build";

export const ParameterField: React.FunctionComponent<ParameterFieldProps> = observer((props) => {
    const component = useModelContext() as ReportComponentModel;
    const target = component.viewModel.report_target as ReportTargetModel;
    if (!target) {
        return null;
    }
    switch ((target.ui_hints || {type: null}).type) {
        case 'automodel':
            return <AutomodelParameter {...props}/>;
        default:
            return <GenericParameter {...props}/>;
    }
});