import * as React from 'react';
import {observer} from "mobx-react-lite";
import {ReportComponentModel} from "../../../stores/ReportComponentStore";
import {ParameterField} from "./ParameterField";
import {ReportTargetStore} from "../../../stores/ReportTargetStore";
import {useModelContext} from "@rx-suite/ui";

export const ParameterForm: React.FunctionComponent<{}> = observer(({}) => {
    const component = useModelContext() as ReportComponentModel;
    const target = ReportTargetStore.get(component.viewModel.report_target_id);
    if (!target) {
        return null;
    }
    return <React.Fragment>
        {Object.values(target.parameters || {}).map(parameterDef => (
            <ParameterField parameter={parameterDef} key={parameterDef.id}/>
        ))}
    </React.Fragment>
});