import * as React from 'react';
import {ParameterFieldProps} from "../ParameterFieldProps";
import {observer} from "mobx-react-lite";
import {GenericParameter} from "../GenericParameter";
import {FilterParameter} from "./FilterParameter";
import {ColumnParameter} from "./ColumnParameter";

export const AutomodelParameter: React.FunctionComponent<ParameterFieldProps> = observer(({parameter}) => {
    switch (parameter.id) {
        case 'pagination':
        case 'grand_totals':
        case 'skip_record_count':
            return null; // these are used internally and are not directly relevant to the user
        case 'columns':
            return <ColumnParameter parameter={parameter}/>;
        case 'filter':
            return <FilterParameter parameter={parameter}/>;
        default:
            return <GenericParameter parameter={parameter}/>
    }
});