import * as React from 'react';
import {observer} from "mobx-react-lite";
import {PaginatedReportComponent} from "../../../stores/PaginatedReportComponent";
import {PDFButton} from "./runner_buttons/PDFButton";
import {PaddedPaper} from "@rx-suite/ui";
import {makeStyles} from "@material-ui/core/styles";
import classNames from 'classnames';

type PDFMenuProps = {
    paginatedComponent: PaginatedReportComponent,
    open?: boolean,
    template_id?: string,
    onTemplateIdChange: (newId: string) => void,
};

const useStyles = makeStyles(theme => ({
    paper: {
        margin: theme.spacing(1),
    }
}));

export const PDFMenu: React.FunctionComponent<PDFMenuProps> = observer(({
                                                                            paginatedComponent,
                                                                            open, template_id, onTemplateIdChange
                                                                        }) => {
    const classes = useStyles();
    if(!open){
        return null;
    }
    return <PaddedPaper className={classes.paper}>
        <PDFButton paginatedComponent={paginatedComponent}
                   template_id={template_id}
                   onTemplateIdChange={onTemplateIdChange}/>
    </PaddedPaper>;
});