import * as React from 'react';
import {observer} from "mobx-react-lite";
import {PaginatedReportComponent} from "../../../stores/PaginatedReportComponent";

type PDFRenderFlagProps = {
    paginatedComponent: PaginatedReportComponent
};

export const PDFRenderFlag: React.FunctionComponent<PDFRenderFlagProps> = observer(({
                                                                                        paginatedComponent
                                                                                    }) => {
    const params = (new URL(document.location.href)).searchParams;
    const done = paginatedComponent.hasRunMain && paginatedComponent.uiRanSizing && (!params.has('isLastPage') || paginatedComponent.uiRenderedTotals)
    return done ? <div id={'reportRendered'} style={{display: 'none'}}/> : null;
});