import * as React from 'react';
import {observer} from "mobx-react-lite";
import {Grid} from "@material-ui/core";
import {PaginatedReportComponent} from "../../../stores/PaginatedReportComponent";
import {ReportComponentRunParam} from "./ReportComponentRunParam";

type ReportComponentRunParamsProps = {
    paginatedComponent: PaginatedReportComponent
};

export const ReportComponentRunParams: React.FunctionComponent<ReportComponentRunParamsProps> = observer(({
                                                                                                              paginatedComponent
                                                                                                          }) => {
    const validOptions = Object.keys(paginatedComponent.component.supportedRunFilters);
    return <Grid container>
        {validOptions.map(opt => (
            <Grid key={opt} item xs={12}
                  md={Math.min(12, Math.max(Math.ceil(12 / validOptions.length), 3)) as 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12}>
                <ReportComponentRunParam paginatedComponent={paginatedComponent} column={opt}/>
            </Grid>
        ))}
    </Grid>;
});