import * as React from 'react';
import {observer} from "mobx-react-lite";
import {ButtonField, i18n} from "@rx-suite/ui/build";
import {t} from "@lingui/macro";
import {PlayArrow} from "@material-ui/icons";
import {PaginatedReportComponent} from "../../../../stores/PaginatedReportComponent";

export const LiveViewButton: React.FunctionComponent<{ paginatedComponent: PaginatedReportComponent }> = observer(({paginatedComponent}) => {
    return (
        paginatedComponent.component.supportsLiveView ?
            <ButtonField text={i18n._(t`View Now`)}
                         startIcon={<PlayArrow/>}
                         color={paginatedComponent.changesPending ? 'secondary' : undefined}
                         onClick={paginatedComponent.commit}/>
            : null

    )
});
