import * as React from 'react';
import {observer} from "mobx-react-lite";
import {FormProps, i18n, PaddedPaper} from "@rx-suite/ui";
import {t} from '@lingui/macro';
import {Table, TableBody, TableCell, TableRow} from '@material-ui/core';
import {ReportComponentResultDownloadButton} from "../../components/report_component_results/ReportComponentResultDownloadButton";
import {ReportComponentResultModel} from "../../stores/ReportComponentResultStore";
import {ReportComponentResultStatus} from "../../components/report_component_results/ReportComponentResultStatus";

export const ReportComponentResultForm: React.FunctionComponent<FormProps> = observer(({model}) => {
    return (
        <PaddedPaper>
            <Table>
                <TableBody>
                    <TableRow>
                        <TableCell>{i18n._(t`Name`)}</TableCell>
                        <TableCell>{model.name}</TableCell>
                    </TableRow>
                    <TableRow>
                        <TableCell>{i18n._(t`Description`)}</TableCell>
                        <TableCell>{model.desc}</TableCell>
                    </TableRow>
                    <TableRow>
                        <TableCell>{i18n._(t`Generating?`)}</TableCell>
                        <TableCell>{model.generating ? "t" : "f"}</TableCell>
                    </TableRow>
                    <TableRow>
                        <TableCell>{i18n._(t`Format`)}</TableCell>
                        <TableCell>{model.data_format}</TableCell>
                    </TableRow>
                    <TableRow>
                        <TableCell>{i18n._(t`Status`)}</TableCell>
                        <TableCell><ReportComponentResultStatus
                            result={model as ReportComponentResultModel}/></TableCell>
                    </TableRow>
                    <TableRow>
                        <TableCell>{i18n._(t`Created`)}</TableCell>
                        <TableCell>{model.created_at}</TableCell>
                    </TableRow>
                </TableBody>
            </Table>
            <ReportComponentResultDownloadButton result={model as ReportComponentResultModel}/>
        </PaddedPaper>
    )

});
