export type Parameter = {
    id: string,
    name: string,
    description: string,
    required: boolean,
    multiple: boolean,
    type: string | {
        [s: string]: string
    }
}

export type ColumnInfo = {
    name: string,
    desc: string,
    type: string,
    groupname?: string,
    shortname?: string,
    subreportid?: string,
    listable?: boolean,
    subdefinition?: {
        [s: string]: ColumnInfo
    }
};

export type Parameters = {
    [s: string]: Parameter
};

export type ColumnAggregationOptions = {
    comparison_column?: string,
    [s: string]: any
};

export type ColumnParameter = {
    accessor?: string,
    aggregation?: string,
    aggregation_options?: ColumnAggregationOptions | null,
    rename?: string,
    sort_priority?: number,
    sort_desc?: boolean,
    format?: {
        decimals?: number,
        zero_pad?: number,
        explicit_plus?: boolean
    }
}

export type UIHints = {
    type?: string,
    live_pagination?: boolean,
    filter_operations?: {
        [s: string]: {
            name: string,
            inverse: string,
        }
    },
    aggregation_operations?: {
        [s: string]: {
            name: string,
            applicable_to?: string[] | null,
            only_for_groups?: boolean | null,
            aggregation_options?: ColumnAggregationOptions | null
        }
    },
    grouping_operations?: {
        [s: string]: {
            name: string,
            applicable_to?: string[] | null,
            aggregation_options?: ColumnAggregationOptions | null
        }
    },
    default_date?: string,
    category?: string,
    offer_dates_from?: string[],
    runner_params?: string[],
}