Rails.application.routes.draw do
  mount RxModule::Engine => "/api/rx_module"
  scope :api do
    resources :automatic_reports
    resources :report_targets
    post "/report_targets/:id/run" => "report_targets#run"
    get "/report_targets/:id/:column/known_filter_vals" => "report_targets#known_filter_vals"
    resources :report_components
    resources :report_component_results
    post "/report_component_results/run" => "report_component_results#run"
    get "/report_component_results/:id/download" => "report_component_results#download"
    post "/report_component_results/:id/rerun" => "report_component_results#rerun"
  end
  root '/', controller: :index, action: :show
  get '*path' => 'index#show'
end