# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# This file is the source Rails uses to define your schema when running `rails
# db:schema:load`. When creating a new database, `rails db:schema:load` tends to
# be faster and is potentially less error prone than running all of your
# migrations from scratch. Old migrations may fail to apply correctly if those
# migrations use external dependencies or application code.
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 2020_11_13_173433) do

  # These are extensions that must be enabled in order to support this database
  enable_extension "plpgsql"

  create_table "active_storage_attachments", force: :cascade do |t|
    t.string "name", null: false
    t.string "record_type", null: false
    t.bigint "record_id", null: false
    t.bigint "blob_id", null: false
    t.datetime "created_at", null: false
    t.index ["blob_id"], name: "index_active_storage_attachments_on_blob_id"
    t.index ["record_type", "record_id", "name", "blob_id"], name: "index_active_storage_attachments_uniqueness", unique: true
  end

  create_table "active_storage_blobs", force: :cascade do |t|
    t.string "key", null: false
    t.string "filename", null: false
    t.string "content_type"
    t.text "metadata"
    t.bigint "byte_size", null: false
    t.string "checksum", null: false
    t.datetime "created_at", null: false
    t.index ["key"], name: "index_active_storage_blobs_on_key", unique: true
  end

  create_table "automatic_reports", force: :cascade do |t|
    t.bigint "report_component_id", null: false
    t.integer "run_frequency_value"
    t.string "run_frequency_unit"
    t.integer "period_value"
    t.string "period_unit"
    t.datetime "start_date"
    t.string "mail_to_users"
    t.string "mail_to_emails"
    t.string "date_column"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "name"
    t.boolean "attach_link"
    t.boolean "attach_csv"
    t.boolean "attach_pdf"
    t.string "run_token"
    t.string "last_run_error"
    t.datetime "last_run_time"
    t.string "pdf_template_id"
    t.datetime "computed_next_run"
    t.string "run_params"
    t.index ["report_component_id"], name: "index_automatic_reports_on_report_component_id"
  end

  create_table "report_component_results", force: :cascade do |t|
    t.string "name"
    t.string "desc"
    t.string "data_format"
    t.string "parameters"
    t.bigint "report_target_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.boolean "generating"
    t.float "generation_percent"
    t.string "generation_error"
    t.index ["report_target_id"], name: "index_report_component_results_on_report_target_id"
  end

  create_table "report_components", force: :cascade do |t|
    t.string "name"
    t.string "desc"
    t.string "parameters"
    t.bigint "report_target_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "canned_report_id"
    t.index ["report_target_id"], name: "index_report_components_on_report_target_id"
  end

  create_table "report_targets", force: :cascade do |t|
    t.string "module_id"
    t.string "module_name"
    t.string "report_id"
    t.string "name"
    t.string "desc"
    t.string "ui_hints"
    t.string "parameters"
    t.string "returns"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "permission_id"
  end

  create_table "rx_module_logger_configs", force: :cascade do |t|
    t.string "location"
    t.string "level"
    t.integer "archive_count"
    t.integer "max_size"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "rx_module_update_histories", force: :cascade do |t|
    t.string "user"
    t.string "from_version"
    t.string "to_version"
    t.boolean "was_error"
    t.string "error_msg"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.boolean "in_progress"
    t.index ["created_at"], name: "index_rx_module_update_histories_on_created_at"
  end

  add_foreign_key "active_storage_attachments", "active_storage_blobs", column: "blob_id"
  add_foreign_key "automatic_reports", "report_components"
  add_foreign_key "report_component_results", "report_targets", on_update: :cascade, on_delete: :nullify
  add_foreign_key "report_components", "report_targets", on_update: :cascade, on_delete: :cascade
end
